edu.isi.pegasus.planner.client

## Class PartitionDAX

- java.lang.Object
- - edu.isi.pegasus.planner.client.Executable
  - - edu.isi.pegasus.planner.client.PartitionDAX

    public class PartitionDAX
    extends Executable

The class ends up partitioning the dax into smaller daxes according to the various algorithms/criteria, to be used for deferred planning.

Version:
  $Revision$
Author:
  Karan Vahi

### Field Summary

Fields
`static java.lang.String` `DEFAULT_PARTITIONER_TYPE` The name of the default partitioner that is loaded, if none is specified by the user.
`private java.lang.String` `mDAXFile` The path to the dax file that is to be partitioned.
`private java.lang.String` `mDirectory` The directory in which the partition daxes are generated.
`private java.lang.String` `mType` The type of the partitioner to be used.

### Fields inherited from class edu.isi.pegasus.planner.client.Executable

`mLogger, mLogMsg, mProps, mVersion`

### Constructor Summary

Constructors
Constructor and Description
`PartitionDAX()` The default constructor.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `executeCommand()` Executes the partition dax on the basis of the options given by the user.
`gnu.getopt.LongOpt[]` `generateValidOptions()` Tt generates the LongOpt which contain the valid options that the command will accept.
`void` `initalize(java.lang.String[] opts)` Initialize the PartitionDax object
`void` `loadProperties()` Loads all the properties that are needed by this class.
`static void` `main(java.lang.String[] args)` The main function of the class, that is invoked by the jvm.
`java.lang.String` `partitionDAX(PegasusProperties properties, java.lang.String daxFile, java.lang.String directory, java.lang.String type)`
`void` `printLongVersion()` Generated the long version of the help on the stdout.
`void` `printShortVersion()` Generates the short version of the help on the stdout.

### Methods inherited from class edu.isi.pegasus.planner.client.Executable

`convertException, convertException, getCommandLineOptions, getEnvValue, getGVDSVersion, initialize, initialize, log, lookupConfProperty, sanityCheckOnProperties, setupLogging`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_PARTITIONER_TYPE

    public static final java.lang.String DEFAULT_PARTITIONER_TYPE

The name of the default partitioner that is loaded, if none is specified by the user.

See Also:
  Constant Field Values

#### mDAXFile

    private java.lang.String mDAXFile

The path to the dax file that is to be partitioned.

#### mDirectory

    private java.lang.String mDirectory

The directory in which the partition daxes are generated.

#### mType

    private java.lang.String mType

The type of the partitioner to be used. Is the same as the name of the implementing class.

### Constructor Detail

#### PartitionDAX

    public PartitionDAX()

The default constructor.

### Method Detail

#### initalize

    public void initalize(java.lang.String[] opts)

Initialize the PartitionDax object

Parameters:
  `opts` - the command line argument passed to the PartitionDax

#### main

    public static void main(java.lang.String[] args)

The main function of the class, that is invoked by the jvm. It calls the executeCommand function.

Parameters:
  `args` - array of arguments.

#### executeCommand

    public void executeCommand()

Executes the partition dax on the basis of the options given by the user.

Parameters:
  `args` - the arguments array populated by the user options.

#### partitionDAX

    public java.lang.String partitionDAX(PegasusProperties properties,
                                         java.lang.String daxFile,
                                         java.lang.String directory,
                                         java.lang.String type)

Parameters:
  `properties` - the PegasusProperties
  `daxFile` - String
  `directory` - the directory where paritioned daxes reside
  `type` - the type of partitioning to use.
Returns:
  the path to the pdax file.

#### printShortVersion

    public void printShortVersion()

Generates the short version of the help on the stdout.

Specified by:
  `printShortVersion` in class `Executable`

#### printLongVersion

    public void printLongVersion()

Generated the long version of the help on the stdout.

Specified by:
  `printLongVersion` in class `Executable`

#### generateValidOptions

    public gnu.getopt.LongOpt[] generateValidOptions()

Tt generates the LongOpt which contain the valid options that the command will accept.

Specified by:
  `generateValidOptions` in class `Executable`
Returns:
  array of `LongOpt` objects , corresponding to the valid options

#### loadProperties

    public void loadProperties()

Loads all the properties that are needed by this class.

Specified by:
  `loadProperties` in class `Executable`